Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 107110 - mplayer crashes when trying to view a .mkv file
Summary: mplayer crashes when trying to view a .mkv file
Status: VERIFIED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: x86 Linux
: High critical (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-09-24 13:57 UTC by OxO pHz.60
Modified: 2006-07-08 07:15 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description OxO pHz.60 2005-09-24 13:57:58 UTC
when i try to reproduce a .mkv (with matroska use flag set)

Reproducible: Always
Steps to Reproduce:
1.emerge mplayer (be sure to have matroska flag on
2.mplauer <anyfile>.mkv
3.
Actual Results:  
rorschach@pirata ~ $ mplayer Videos/Final.Fantasy.VII.Advent.Children.x264.vorbi
s-Ice.mkv 
MPlayer 1.0pre7try2-3.3.6 (C) 2000-2005 MPlayer Team
CPU: Advanced Micro Devices Athlon MP/XP Thoroughbred (Family: 6, Stepping: 1)
Detected cache-line size is 64 bytes
CPUflags:  MMX: 1 MMX2: 1 3DNow: 1 3DNow2: 1 SSE: 1 SSE2: 0
Compiled for x86 CPU with extensions: MMX MMX2 3DNow 3DNowEx SSE



85 audio & 196 video codecs
Playing Videos/Final.Fantasy.VII.Advent.Children.x264.vorbis-Ice.mkv.
Cache fill:  0.00% (0 bytes)    [mkv] Track ID 1: video (V_MS/VFW/FOURCC), -vid 
0
[mkv] Track ID 2: audio (A_VORBIS), -aid 0, -alang eng
[mkv] Track ID 3: subtitles (S_TEXT/UTF8), -sid 0, -slang eng
[mkv] Will play video track 1
[mkv] Will play audio track 2
Matroska file format detected.
VIDEO:  [H264]  640x352  12bpp  23.976 fps    0.0 kbps ( 0.0 kbyte/s)
==========================================================================
Opening audio decoder: [libvorbis] Ogg/Vorbis audio decoder
AUDIO: 48000 Hz, 2 ch, s16le, 96.0 kbit/6.25% (ratio: 12000->192000)
Selected audio codec: [vorbis] afm:libvorbis (OggVorbis Audio Decoder)
==========================================================================
vo: X11 running at 1280x1024 with depth 24 and 32 bpp (":0.0" => local display)
==========================================================================
Opening video decoder: [ffmpeg] FFmpeg's libavcodec codec family
Selected video codec: [ffh264] vfm:ffmpeg (FFmpeg H.264)
==========================================================================
Checking audio filter chain for 48000Hz/2ch/s16le -> 48000Hz/2ch/s16le...
AF_pre: 48000Hz/2ch/s16le
alsa-init: 1 soundcard found, using: default
alsa: 48000 Hz/2 channels/4 bpf/65536 bytes buffer/Signed 16 bit Little Endian
AO: [alsa] 48000Hz 2ch s16le (2 bps)
Building audio filter chain for 48000Hz/2ch/s16le -> 48000Hz/2ch/s16le...
Starting playback...
VDec: vo config request - 640 x 352 (preferred csp: Planar YV12)
VDec: using Planar YV12 as output csp (no 0)
Movie-Aspect is 1.82:1 - prescaling to correct movie aspect.
VO: [xv] 640x352 => 640x352 Planar YV12 
[h264 @ 0x862d268]illegal short term buffer state detected?,?% 2 0 78%          
[h264 @ 0x862d268]illegal short term buffer state detected?,?% 3 0 78%          
[h264 @ 0x862d268]illegal short term buffer state detected?,?% 4 0 78%          
[h264 @ 0x862d268]illegal short term buffer state detected?,?% 5 0 78%          
[h264 @ 0x862d268]illegal short term buffer state detected?,?% 8 0 78%          
[h264 @ 0x862d268]illegal short term buffer state detected?,?% 9 0 78%          
[h264 @ 0x862d268]illegal short term buffer state detected?,?% 10 0 78%         
mplayer: h264.c:2306: mc_dir_part: Assertion `pic->data[0]' failed. 98%         


MPlayer interrupted by signal 6 in module: decode_video
- MPlayer crashed. This shouldn't happen.
  It can be a bug in the MPlayer code _or_ in your drivers _or_ in your
  gcc version. If you think it's MPlayer's fault, please read
  DOCS/HTML/en/bugreports.html and follow the instructions there. We can't and
  won't help unless you provide this information when reporting a possible bug.
alsa-uninit: pcm closed

Expected Results:  
to play movie

Gentoo Base System version 1.6.13
Portage 2.0.51.22-r2 (default-linux/x86/2005.1, gcc-3.3.6, glibc-2.3.5-r1,
2.6.12-nitro5 i686)
=================================================================
System uname: 2.6.12-nitro5 i686 AMD Athlon(tm) XP 1500+
dev-lang/python:     2.3.5-r2
sys-apps/sandbox:    1.2.12
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6
sys-devel/binutils:  2.15.92.0.2-r10
sys-devel/libtool:   1.5.18-r1
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O3 -march=athlon-xp -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env
/usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config
/usr/lib/X11/xkb /usr/lib/mozilla/defaults/pref /usr/share/config
/var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O3 -march=athlon-xp -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org
http://distro.ibiblio.org/pub/Linux/distributions/gentoo"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/my_portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 3dnow X aac alsa apache2 avi bash-completion berkdb bitmap-fonts bzip2
cdr clamav crypt curl divx4linux eds emboss encode fam flac foomaticdb fortran
freeglut gd gdbm gif gpm gstreamer gtk gtk2 imagemagick imlib ipv6 java
javascript jpeg junit libg++ libwww mad mikmod mime mmx motif mozilla mp3 mpeg
msn ncurses nls nptl offensive ogg oggvorbis openal opengl pam pdflib perl pic
png python qt quicktime readline ruby sdl spell sqlite sse ssl svg tcltk tcpd
theora threads tiff truetype truetype-fonts type1-fonts v4l vcd vorbis
win32codecs xine xml2 xv yahoo zlib userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, LANG, LC_ALL, LDFLAGS, LINGUAS
Comment 1 Carsten Lohrke (RETIRED) gentoo-dev 2005-09-24 17:45:18 UTC
Can you reproduce this with a supported kernel (gentoo-sources, vanilla-sources)?
Comment 2 OxO pHz.60 2005-09-25 03:46:43 UTC
well actually i couldn't because all my partitions are reiser4 so i couldn't
mount them on gentoo sources or vanilla, but i only use reiser4 and genetic
anticipatory I/O scheduler from nitro features.
Comment 3 Martin von Gagern 2005-11-17 09:04:28 UTC
Similar error here. This is an "official" apple quicktime:
http://movies.apple.com/movies/wb/harry_potter_goblet/harry_pott_goblet_h480.mov
Below are
1. the output from mplayer, minus LIRC-related stuff
2. for comparison the output from transcode, which segfaults
3. emerge info
If I can supply any other useful information, please let me know.
Maybe the subject should be modified, since mine is no .mkv file.

=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=
$ mplayer harry_potter_goblet_h480.mov

Playing harry_potter_goblet_h480.mov.
ISO: File Type Major Brand: Original QuickTime
QuickTime/MOV file format detected.
--------------
MOV track #0: 329 chunks, 1969 samples
MOV: Found unknown movie atom colr (18)!
MOV: AVC decoder configuration record atom (42)!
Image size: 480 x 204 (24 bpp)
Display size: 480 x 204
Fourcc: avc1  Codec: 'H.264'
--------------
MOV track #1: 381 chunks, 3532 samples
Audio bits: 16  chans: 2  rate: 44100
Audio extra header: len=91  fcc=0x77617665
MOV: Found MPEG4 audio Elementary Stream Descriptor atom (51)!
Fourcc: mp4a
--------------
MOV track #2: 1 chunks, 0 samples
Generic track - not completely understood! (id: 2)
--------------
MOV: longest streams: A: #1 (3532 samples)  V: #0 (1969 samples)
VIDEO:  [avc1]  480x204  24bpp  23.976 fps    0.0 kbps ( 0.0 kbyte/s)
Clip info:
 comments: Encoded and delivered by apple.com/trailers/
 copyright: 
Comment 4 Martin von Gagern 2005-11-17 09:04:28 UTC
Similar error here. This is an "official" apple quicktime:
http://movies.apple.com/movies/wb/harry_potter_goblet/harry_pott_goblet_h480.mov
Below are
1. the output from mplayer, minus LIRC-related stuff
2. for comparison the output from transcode, which segfaults
3. emerge info
If I can supply any other useful information, please let me know.
Maybe the subject should be modified, since mine is no .mkv file.

=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=
$ mplayer harry_potter_goblet_h480.mov

Playing harry_potter_goblet_h480.mov.
ISO: File Type Major Brand: Original QuickTime
QuickTime/MOV file format detected.
--------------
MOV track #0: 329 chunks, 1969 samples
MOV: Found unknown movie atom colr (18)!
MOV: AVC decoder configuration record atom (42)!
Image size: 480 x 204 (24 bpp)
Display size: 480 x 204
Fourcc: avc1  Codec: 'H.264'
--------------
MOV track #1: 381 chunks, 3532 samples
Audio bits: 16  chans: 2  rate: 44100
Audio extra header: len=91  fcc=0x77617665
MOV: Found MPEG4 audio Elementary Stream Descriptor atom (51)!
Fourcc: mp4a
--------------
MOV track #2: 1 chunks, 0 samples
Generic track - not completely understood! (id: 2)
--------------
MOV: longest streams: A: #1 (3532 samples)  V: #0 (1969 samples)
VIDEO:  [avc1]  480x204  24bpp  23.976 fps    0.0 kbps ( 0.0 kbyte/s)
Clip info:
 comments: Encoded and delivered by apple.com/trailers/
 copyright: © 2005 Warner Bros. Pictures. All Rights Reserved
 name: Harry Potter & The Goblet of Fire
==========================================================================
Opening audio decoder: [faad] AAC (MPEG2/4 Advanced Audio Coding)
AUDIO: 44100 Hz, 2 ch, s16le, 96.0 kbit/6.80% (ratio: 12000->176400)
Selected audio codec: [faad] afm:faad (FAAD AAC (MPEG2/MPEG4 Audio) decoder)
==========================================================================
vo: X11 running at 1600x1200 with depth 24 and 32 bpp (":0.0" => local display
==========================================================================
Opening video decoder: [ffmpeg] FFmpeg's libavcodec codec family
Selected video codec: [ffh264] vfm:ffmpeg (FFmpeg H.264)
==========================================================================
Checking audio filter chain for 44100Hz/2ch/s16le -> 44100Hz/2ch/s16le...
AF_pre: 44100Hz/2ch/s16le
AO: [oss] 44100Hz 2ch s16le (2 bps)
Building audio filter chain for 44100Hz/2ch/s16le -> 44100Hz/2ch/s16le...
Starting playback...
mplayer: h264.c:2306: mc_dir_part: Assertion `pic->data[0]' failed.


MPlayer interrupted by signal 6 in module: decode_video
- MPlayer crashed. This shouldn't happen.
  It can be a bug in the MPlayer code _or_ in your drivers _or_ in your
  gcc version. If you think it's MPlayer's fault, please read
  DOCS/HTML/en/bugreports.html and follow the instructions there. We can't and
  won't help unless you provide this information when reporting a possible bug

=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=
$ transcode -i harry_potter_goblet_h480.mov

transcode v0.6.14 (C) 2001-2003 Thomas Oestreich, 2003-2004 T. Bitterberg
[transcode] (probe) suggested AV correction -D 0 (0 ms) | AV 0 ms | 0 ms
[transcode] auto-probing source harry_potter_goblet_h480.mov (ok)
[transcode] V: import format    | Digital Video  (V=dv|A=null)
[transcode] V: import frame     | 720x480  1.50:1  encoded @ 4:3
[transcode] V: bits/pixel       | 0.174
[transcode] V: decoding fps,frc | 29.970,4
[transcode] V: Y'CbCr           | YV12/I420
[transcode] A: import format    | 0x1     PCM          [   0,16,0]
[transcode] A: export           | disabled
[transcode] V: encoding fps,frc | 29.970,4
[transcode] A: bytes per frame  | 0 (0.000000)
[transcode] A: adjustment       | 0@1000
[transcode] V: IA32 accel mode  | sse3 (sse3 sse2 sse mmxext mmx asm C)
tc_memcpy: using mmxext for memcpy
[transcode] warning : no option -o found, encoded frames send to "/dev/null"
[transcode] V: video buffer     | 10 @ 720x480
[import_null.so] v0.2.0 (2002-01-19) (video) null | (audio) null
[import_dv.so] v0.3.1 (2003-10-14) (video) DV | (audio) PCM
[export_null.so] v0.1.2 (2001-08-17) (video) null | (audio) null
[import_dv.so] tcextract -x dv -i "harry_potter_goblet_h480.mov" -d 0 | tcdecode
-x dv -y yv12 -d 0 -Q 5
tc_memcpy: using mmxext for memcpy
sh: line 1: 19789 Broken pipe             tcextract -x dv -i
"harry_potter_goblet_h480.mov" -d 0
     19790 Segmentation fault      | tcdecode -x dv -y yv12 -d 0 -Q 5

clean up | frame threads | unload modules | cancel signal | internal threads | done
[transcode] encoded 0 frames (0 dropped, 0 cloned), clip length   0.00 s

=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=
$ emerge info

Portage 2.0.53_rc7 (default-linux/x86/2005.0, gcc-3.4.4, glibc-2.3.5-r3,
2.6.14-gentoo i686)
=================================================================
System uname: 2.6.14-gentoo i686 Intel(R) Pentium(R) 4 CPU 3.00GHz
Gentoo Base System version 1.12.0_pre10
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
dev-lang/python:     2.3.5, 2.4.2
sys-apps/sandbox:    1.2.13
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.20-r1
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=prescott -O2"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env
/usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config
/usr/lib/X11/xkb /usr/lib/mozilla/defaults/pref /usr/share/config
/var/qmail/control"
CONFIG_PROTECT_MASK="/etc/env.d/java/ /etc/gconf /etc/java-config/vms/
/etc/terminfo /etc/texmf/web2c /etc/env.d"
CXXFLAGS="-march=prescott -O2"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks sandbox sfperms strict"
LANG="de_DE"
LINGUAS="en de"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/local/overlays/java-axxo"
SYNC="rsync://rsync.de.gentoo.org/gentoo-portage"
USE="x86 X aac aalib acpi alsa apache2 apm arts auctex audiofile avi
bash-completion bcmath berkdb bigger-fonts bitmap-fonts bzip2 bzlib c++ cairo
cdparanoia cdr chroot crypt css cups curl dba dhcp dnd doc dts dv dvd eds emboss
encode escreen esd ethereal exif expat faad fam fastcgi fbcon ffmpeg fftw
firefox flac flatfile foomaticdb fortran ftp gcc-libffi gd gdbm gif gimp
gimpprint glut gmp gnutls gpm graphviz gs gstreamer gtk gtk2 guile idn
imagemagick imlib ipv6 java jpeg junit kde latex lcms ldap libcaca libg++ libwww
lirc lm_sensors lzo lzw mad maildir mailwrapper mhash mikmod mime mjpeg mmx mng
motif mozilla moznocompose mozxmlterm mp3 mpeg mpeg2 mplayer mpm-worker mule
mysql ncurses net network nls no-old-linux nptl nsplugin odbc ogg oggvorbis
opengl operanom2 oss pam pcre pdf pdflib perl php pic pie plotutils png postgres
povray procmail python qt quicktime rdesktop readline real recode samba sasl
savedconfig sdl slang smime sndfile sockets sox spell sse sse2 ssl svg svga
tcltk tcpd tetex threads thunderbird tiff tokenizer transcode translator
truetype truetype-fonts type1 type1-fonts udev unicode usb userlocales utf8 v4l
v4l2 vorbis wmf xanim xchattext xemacs xine xml xml2 xmms xv xvid xvmc zlib
fritzcapi_cards_fcpci linguas_en linguas_de userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, LC_ALL, LDFLAGS
Comment 5 Yaroslav 2005-11-18 13:32:15 UTC
See bug 111814
Comment 6 Reimar Döffinger 2005-11-27 14:53:01 UTC
pre7 is just to old to be useful with H.264 content. The trailer works fine for 
me with the CVS version. A lots of movies on the Apple trailer site will only 
work with the CVS version, and backporting wouldn't be easy since the fixes were 
all over the place.
Comment 7 Luca Barbato gentoo-dev 2005-11-27 16:58:50 UTC
In my todo doing an mplayer snapshot is just after mlt inclusion and avifile
removal, please hold on some days
Comment 8 Steve Dibb (RETIRED) gentoo-dev 2006-06-26 16:16:36 UTC
Cleaning out old bugs, please reopen if still an issue with newer versions (>=pre8)

Thanks all
Comment 9 Yaroslav Isakov 2006-07-08 03:27:07 UTC
The problem file is worked with mplayer-1.0_pre8 and ffmpeg-0.4.9_p20051216. Thanks all.
Comment 10 Steve Dibb (RETIRED) gentoo-dev 2006-07-08 07:15:43 UTC
thanks :)